%define date    20170225

Name:           basket
Version:        2.49
Release:        %mkrel 0.%{date}.1
Summary:        BasKet Note Pads - a system for organizing information in KDE
Group:          Office/Organizer
License:        GPLv2+
URL:            https://basket-notepads.github.io
# From https://github.com/basket-notepads/basket/tree/kde5port
Source0:        %{name}-%{version}-%{date}.tar.xz
Patch0:         0001-Replace-KDE4-GENERIC_LIB_SOVERSION-with-local-defini.patch

BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  gettext
BuildRequires:  gpgme-devel
BuildRequires:  pkgconfig(libgit2)
BuildRequires:  pkgconfig(x11)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5FileMetaData)
BuildRequires:  cmake(KF5GlobalAccel)
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5XmlGui)
# For documentation, https://github.com/basket-notepads/basket/issues/35
BuildRequires:  kdelibs4support

BuildRequires:  pkgconfig(phonon4qt5)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)

%description
This application is mainly an all-purpose notes taker.
It provide several baskets where to drop every sort of
items: text, rich text, links, images, sounds, files,
colors, application launcher...
Objects can be edited, copied, dragged... So, you can
arrange them as you want !
This application can be used to quickly drop web objects
(link, text, images...) or notes, as well as to free your
clutered desktop (if any).
It is also useful to collect informations for a report.
Those data can be shared with co-workers by exporting
baskets to HTML.

%files -f %{name}.lang
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/%{name}/
%{_kf5_applicationsdir}/%{name}.desktop
%{_kf5_datadir}/kxmlgui5/%{name}/%{name}ui.rc
%{_kf5_iconsdir}/hicolor/16x16/actions/*.png
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.png
%{_kf5_services}/%{name}*.desktop
%{_qt5_plugindir}/%{name}thumbcreator.so
%{_qt5_plugindir}/kcm_%{name}.so

#--------------------------------------------------------------------

%define basketcommon_major 5
%define libbasketcommon %mklibname basketcommon %{basketcommon_major}

%package -n %{libbasketcommon}
Summary:        Library files for %{name}
Group:          Office/Organizer

%description -n %{libbasketcommon}
Library files for %{name}

%files -n %{libbasketcommon}
%{_kf5_libdir}/lib%{name}common.so.%{basketcommon_major}*

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{version}-%{date}

%build
%cmake_kf5
%make_build

%install
%make_install -C build

rm -f %{buildroot}%{_libdir}/lib%{name}common.so

%find_lang %{name} --with-html


%changelog
* Sat Jul 29 2017 akien <akien> 2.49-0.20170225.1.mga6
+ Revision: 1132598
- BR kdelibs4support for ktex.dtd template
- Reintroduce basket, new KF5 port
- Version 2.49 alpha (20170225) with KF5 port
- Unobsolete basket, there is a KF5 port available

  + sander85 <sander85>
    - Unmaintained and build fails

* Wed Oct 15 2014 umeabot <umeabot> 1.81-8.mga5
+ Revision: 750885
- Second Mageia 5 Mass Rebuild
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.81-6.mga5
+ Revision: 678123
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.81-5.mga4
+ Revision: 503077
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.81-4.mga3
+ Revision: 346875
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 neoclust <neoclust> 1.81-3.mga3
+ Revision: 341077
- Fix group

* Tue Sep 06 2011 tv <tv> 1.81-1.mga2
+ Revision: 139246
- new release

* Wed May 11 2011 dmorgan <dmorgan> 1.80-3.mga1
+ Revision: 97157
- imported package basket

